keycombo_selectFlashFolderField = "^%g" 'The user set hotkeys for activating the textfield in FlashFolder, in this case ^ (ctrl) + % (alt) + g
key_selectFileField = "n" 'The hotkey for activating the file name field of a open/save file dialog. Depends on the language of the OS. Currently n, which works with english XP.

Set WshShell = WScript.CreateObject("WScript.Shell")

Set objFSO = CreateObject("Scripting.FileSystemObject")
sPath = WScript.Arguments.Item(0) 'Get path
isFile = objFSO.FileExists(sPath) 'Check if file points to directory (if not, then this path is treated as a directory path).

sFoldPath = sPath
If isFile = True then
	sFoldPath = objFSO.GetFile(sPath).ParentFolder.Path
End If

WshShell.Run "nircmd.exe clipboard set """ & sFoldPath & """" 'Paste path into clipboard
WScript.Sleep 100
WshShell.SendKeys keycombo_selectFlashFolderField 'Select FlashFolder's input field
WshShell.SendKeys "^v" 'Insert path from clipboard
WshShell.SendKeys "{ENTER}" 'After this stage, the open/save dialog becomes activated and the folder's files are shown.

'Following: If the path specifies a file, insert that file name into open/save-dialog's file name field
if isFile = True Then
	WshShell.Run "nircmd.exe clipboard set """ & objFSO.GetFile(sPath).Name & """" 'Paste filename
	WScript.Sleep 100
	WshShell.SendKeys "%" & key_selectFileField 'Activates the file name field in the open/save dialog
	WshShell.SendKeys "^v" 'Insert file name from clipboard into the file name field

	'The following opens the file 
	'(Office apparently needs 2x{ENTER} to confirm the dialog but file dialogs in other applications do not. 
	'I am unsure if 2x{ENTER} will make a big mess in other apps so I won't have it active by default. 
	'Remove the initial apostrophe on the following line if you want this to work nicely with Word (at your own peril, that is).
	'WshShell.SendKeys "{ENTER}"
	WshShell.SendKeys "{ENTER}"
End If

